Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface MetaClassRegistry

Method Summary
`MetaClass` | `getMetaClass(Class theClass)`
`MetaClassCreationHandle` | `getMetaClassCreationHandler()` Removes a cached MetaClass from the registry
`void` | `removeMetaClass(Class theClass)` Removes a cached MetaClass from the registry
`void` | `setMetaClass(Class theClass, MetaClass theMetaClass)`
`void` | `setMetaClassCreationHandle(MetaClassCreationHandle handle)` Removes a cached MetaClass from the registry

Method Detail

### getMetaClass

    public MetaClass getMetaClass(Class theClass)

### getMetaClassCreationHandler

    public MetaClassCreationHandle getMetaClassCreationHandler()

  Removes a cached MetaClass from the registry
  param:
    theClass The Java class of the MetaClass to remove

### removeMetaClass

    public void removeMetaClass(Class theClass)

  Removes a cached MetaClass from the registry
  param:
    theClass The Java class of the MetaClass to remove

### setMetaClass

    public void setMetaClass(Class theClass, MetaClass theMetaClass)

### setMetaClassCreationHandle

    public void setMetaClassCreationHandle(MetaClassCreationHandle handle)

  Removes a cached MetaClass from the registry
  param:
    theClass The Java class of the MetaClass to remove